<?xml version="1.0" encoding="UTF-8"?>
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/10.5/phpunit.xsd"
         bootstrap="vendor/autoload.php"
         cacheDirectory="/code/cache/tests"
         executionOrder="depends,defects"
         requireCoverageMetadata="false"
         beStrictAboutCoverageMetadata="false"
         beStrictAboutOutputDuringTests="true"
         colors="true"
         failOnRisky="false"
         failOnWarning="false">
    <testsuites>
        <testsuite name="unit">
            <directory>tests/units</directory>
        </testsuite>
        <testsuite name="acceptance">
            <directory>tests/integration</directory>
        </testsuite>
        <testsuite name="performance">
            <directory>tests/performance</directory>
        </testsuite>
    </testsuites>

    <source restrictDeprecations="true" restrictNotices="true" restrictWarnings="true">
        <include>
            <directory>src</directory>
            <directory>common</directory>
        </include>
    </source>
    <coverage includeUncoveredFiles="true" pathCoverage="false" ignoreDeprecatedCodeUnits="true" disableCodeCoverageIgnore="true">
        <report>
            <html outputDirectory="/code/public/coverage/html" />
            <php outputFile="/code/public/coverage/coverage.php" />
        </report>
    </coverage>
    <logging>
        <junit outputFile="/code/cache/tests/junit.xml" />
        <teamcity outputFile="/code/cache/tests/teamcity.txt" />
        <testdoxHtml outputFile="/code/cache/tests/testdox.html" />
        <testdoxText outputFile="/code/cache/tests/testdox.txt" />
    </logging>
</phpunit>
